GNU Radio 2.x: omni_thread class Reference

Main Page | Modules | Namespace List | Class Hierarchy | Compound List | File List | Namespace Members | Compound Members | File Members

# omni_thread Class Reference

`#include <omnithread.h>`

Inheritance diagram for omni_thread:

[legend]
Collaboration diagram for omni_thread:

[legend]
List of all members.

## Public Types
typedef unsigned int | key_t
enum | priority_t { PRIORITY_LOW, PRIORITY_NORMAL, PRIORITY_HIGH }
enum | state_t { STATE_NEW, STATE_RUNNING, STATE_TERMINATED }
## Public Member Functions
| omni_thread (void(*fn)(void *), void *arg=NULL, priority_t pri=PRIORITY_NORMAL)
| omni_thread (void *(*fn)(void *), void *arg=NULL, priority_t pri=PRIORITY_NORMAL)
void | start (void)
void | join (void **)
void | set_priority (priority_t)
value_t * | set_value (key_t k, value_t *v)
value_t * | get_value (key_t k)
value_t * | remove_value (key_t k)
priority_t | priority (void)
state_t | state (void)
int | id (void)
## Static Public Member Functions
omni_thread * | create (void(*fn)(void *), void *arg=NULL, priority_t pri=PRIORITY_NORMAL)
omni_thread * | create (void *(*fn)(void *), void *arg=NULL, priority_t pri=PRIORITY_NORMAL)
void | exit (void *return_value=NULL)
omni_thread * | self (void)
void | yield (void)
void | sleep (unsigned long secs, unsigned long nanosecs=0)
void | get_time (unsigned long *abs_sec, unsigned long *abs_nsec, unsigned long rel_sec=0, unsigned long rel_nsec=0)
void | stacksize (unsigned long sz)
unsigned long | stacksize ()
key_t | allocate_key ()
omni_thread * | create_dummy (void)
void | release_dummy ()
## Protected Member Functions
| omni_thread (void *arg=NULL, priority_t pri=PRIORITY_NORMAL)
void | start_undetached (void)
virtual | ~omni_thread (void)
## Friends
class | init_t
class | omni_thread_dummy

## Member Typedef Documentation

typedef unsigned int omni_thread::key_t

## Member Enumeration Documentation

enum omni_thread::priority_t

  | Enumeration values:
  PRIORITY_LOW |
  PRIORITY_NORMAL |
  PRIORITY_HIGH |

enum omni_thread::state_t

  | Enumeration values:
  STATE_NEW |
  STATE_RUNNING |
  STATE_TERMINATED |

## Constructor & Destructor Documentation

omni_thread::omni_thread | ( | void(* | fn)(void *),
|  | void * | arg = NULL,
|  | priority_t | pri = PRIORITY_NORMAL
| ) |

omni_thread::omni_thread | ( | void *(* | fn)(void *),
|  | void * | arg = NULL,
|  | priority_t | pri = PRIORITY_NORMAL
| ) |

omni_thread::omni_thread | ( | void * | arg = NULL,
|  | priority_t | pri = PRIORITY_NORMAL
| ) | `[protected]`

omni_thread::~omni_thread | ( | void |  | ) | `[protected, virtual]`

## Member Function Documentation

omni_thread::key_t omni_thread::allocate_key | ( |  | ) | `[static]`

omni_thread * omni_thread::create | ( | void *(* | fn)(void *),
|  | void * | arg = NULL,
|  | priority_t | pri = PRIORITY_NORMAL
| ) | `[static]`

omni_thread * omni_thread::create | ( | void(* | fn)(void *),
|  | void * | arg = NULL,
|  | priority_t | pri = PRIORITY_NORMAL
| ) | `[static]`

omni_thread * omni_thread::create_dummy | ( | void |  | ) | `[static]`

void omni_thread::exit | ( | void * | return_value = NULL | ) | `[static]`

void omni_thread::get_time | ( | unsigned long * | abs_sec,
|  | unsigned long * | abs_nsec,
|  | unsigned long | rel_sec = 0,
|  | unsigned long | rel_nsec = 0
| ) | `[static]`

omni_thread::value_t * omni_thread::get_value | ( | key_t | k | ) |

int omni_thread::id | ( | void |  | ) | `[inline]`

void omni_thread::join | ( | void ** |  | ) |

priority_t omni_thread::priority | ( | void |  | ) | `[inline]`

void omni_thread::release_dummy | ( |  | ) | `[static]`

omni_thread::value_t * omni_thread::remove_value | ( | key_t | k | ) |

omni_thread * omni_thread::self | ( | void |  | ) | `[static]`

void omni_thread::set_priority | ( | priority_t |  | ) |

omni_thread::value_t * omni_thread::set_value | ( | key_t | k,
|  | value_t * | v
| ) |

void omni_thread::sleep | ( | unsigned long | secs,
|  | unsigned long | nanosecs = 0
| ) | `[static]`

unsigned long omni_thread::stacksize | ( |  | ) | `[static]`

void omni_thread::stacksize | ( | unsigned long | sz | ) | `[static]`

void omni_thread::start | ( | void |  | ) |

void omni_thread::start_undetached | ( | void |  | ) | `[protected]`

state_t omni_thread::state | ( | void |  | ) | `[inline]`

void omni_thread::yield | ( | void |  | ) | `[static]`

## Friends And Related Function Documentation

friend class init_t`[friend]`

friend class omni_thread_dummy`[friend]`

The documentation for this class was generated from the following files:

- omnithread.h
- mach.cc
- nt.cc
- posix.cc
- solaris.cc
- threaddata.cc
- vxWorks.cc